Bug 185043 - CVE-2005-3623 ACL setting on read-only fs
CVE-2005-3623 ACL setting on read-only fs
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
: Security
Depends On:
Blocks: 181409
  Show dependency treegraph
Reported: 2006-03-10 05:12 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 18:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-03-10 05:12:07 EST
SUSE discovered a flaw in ACL handling in kernel nfsd; if a filesystem is
exported as read-only the remote user can still set ACLs and they migrate to the
server filesystem.

This issue did not affect the 2.6.9 kernel; however the nfsacl functionality was
introduced into Enterprise Linux 4 in Update 3.  Update 3 contains the patch to
correct this flaw applied to the nfs2acl.c file but it is missing from nfs3acl.c

Comment 7 Mike Gahagan 2006-07-14 16:58:11 EDT
Patch is in nfs3acl, wasn't able to reproduce the issue.
Comment 9 Red Hat Bugzilla 2006-08-10 18:35:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.